package com.fzm.mall.server.front.user.service;

import com.fzm.mall.server.front.goods.model.Shop;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.user.model.Follow;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-01
 */
public interface IFollowService extends IService<Follow> {

    Follow getByUidAndMerchantId(String uid, String merchantId);

    Boolean isFollow(String uid, String merchantId);

    void delFollows(String uid, String[] split);

    List<Shop> getFollow(String uid, PageVo pageVo);

    Integer getCount(String uid);

    Integer getCountBymerchantId(String merchantId);
}
